Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class MessageProperties

    java.lang.Object
      com.rabbitmq.client.MessageProperties

    public class MessageProperties

extends java.lang.Object

Constant holder class with useful static instances of `AMQContentHeader`. These are intended for use with `Channel.basicPublish(java.lang.String, java.lang.String, com.rabbitmq.client.AMQP.BasicProperties, byte[])` and other Channel methods.

Field Summary
`static AMQP.BasicProperties` | `BASIC` Content-type "application/octet-stream", deliveryMode 1 (nonpersistent), priority zero
`static AMQP.BasicProperties` | `MINIMAL_BASIC` Empty basic properties, with no fields set
`static AMQP.BasicProperties` | `MINIMAL_PERSISTENT_BASIC` Empty basic properties, with only deliveryMode set to 2 (persistent)
`static AMQP.BasicProperties` | `PERSISTENT_BASIC` Content-type "application/octet-stream", deliveryMode 2 (persistent), priority zero
`static AMQP.BasicProperties` | `PERSISTENT_TEXT_PLAIN` Content-type "text/plain", deliveryMode 2 (persistent), priority zero
`static AMQP.BasicProperties` | `TEXT_PLAIN` Content-type "text/plain", deliveryMode 1 (nonpersistent), priority zero

Constructor Summary
`MessageProperties()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMAL_BASIC

    public static final AMQP.BasicProperties MINIMAL_BASIC

  Empty basic properties, with no fields set

### MINIMAL_PERSISTENT_BASIC

    public static final AMQP.BasicProperties MINIMAL_PERSISTENT_BASIC

  Empty basic properties, with only deliveryMode set to 2 (persistent)

### BASIC

    public static final AMQP.BasicProperties BASIC

  Content-type "application/octet-stream", deliveryMode 1 (nonpersistent), priority zero

### PERSISTENT_BASIC

    public static final AMQP.BasicProperties PERSISTENT_BASIC

  Content-type "application/octet-stream", deliveryMode 2 (persistent), priority zero

### TEXT_PLAIN

    public static final AMQP.BasicProperties TEXT_PLAIN

  Content-type "text/plain", deliveryMode 1 (nonpersistent), priority zero

### PERSISTENT_TEXT_PLAIN

    public static final AMQP.BasicProperties PERSISTENT_TEXT_PLAIN

  Content-type "text/plain", deliveryMode 2 (persistent), priority zero

Constructor Detail

### MessageProperties

    public MessageProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD